# polar-accesslink-api-gem

PolarAccesslinkApiGem - the Ruby gem for the Polar Accesslink API

Polar Accesslink API documentation

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 3.78.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://www.polar.com/accesslink](https://www.polar.com/accesslink)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build polar-accesslink-api-gem.gemspec
```

Then either install the gem locally:

```shell
gem install ./polar-accesslink-api-gem-0.1.0.gem
```

(for development, run `gem install --dev ./polar-accesslink-api-gem-0.1.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'polar-accesslink-api-gem', '~> 0.1.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'polar-accesslink-api-gem', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'polar-accesslink-api-gem'

# Setup authorization
PolarAccesslinkApiGem.configure do |config|
  # Configure OAuth2 access token for authorization: OAuth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = PolarAccesslinkApiGem::DailyActivityApi.new
transaction_id = 789 # Integer | Transaction identifier
user_id = 56 # Integer | User identifier

begin
  #Commit transaction
  api_instance.commit_activity_transaction(transaction_id, user_id)
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Exception when calling DailyActivityApi->commit_activity_transaction: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://www.polaraccesslink.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PolarAccesslinkApiGem::DailyActivityApi* | [**commit_activity_transaction**](docs/DailyActivityApi.md#commit_activity_transaction) | **PUT** /v3/users/{user-id}/activity-transactions/{transaction-id} | Commit transaction
*PolarAccesslinkApiGem::DailyActivityApi* | [**create_activity_transaction**](docs/DailyActivityApi.md#create_activity_transaction) | **POST** /v3/users/{user-id}/activity-transactions | Create transaction
*PolarAccesslinkApiGem::DailyActivityApi* | [**get_activity_summary**](docs/DailyActivityApi.md#get_activity_summary) | **GET** /v3/users/{user-id}/activity-transactions/{transaction-id}/activities/{activity-id} | Get activity summary
*PolarAccesslinkApiGem::DailyActivityApi* | [**get_step_samples**](docs/DailyActivityApi.md#get_step_samples) | **GET** /v3/users/{user-id}/activity-transactions/{transaction-id}/activities/{activity-id}/step-samples | Get step samples
*PolarAccesslinkApiGem::DailyActivityApi* | [**get_zone_samples**](docs/DailyActivityApi.md#get_zone_samples) | **GET** /v3/users/{user-id}/activity-transactions/{transaction-id}/activities/{activity-id}/zone-samples | Get zone samples
*PolarAccesslinkApiGem::DailyActivityApi* | [**list_activities**](docs/DailyActivityApi.md#list_activities) | **GET** /v3/users/{user-id}/activity-transactions/{transaction-id} | List activities
*PolarAccesslinkApiGem::ExercisesApi* | [**get_exercise_fit_without_transaction**](docs/ExercisesApi.md#get_exercise_fit_without_transaction) | **GET** /v3/exercises/{exerciseId}/fit | Get exercise FIT
*PolarAccesslinkApiGem::ExercisesApi* | [**get_exercise_without_transaction**](docs/ExercisesApi.md#get_exercise_without_transaction) | **GET** /v3/exercises/{exerciseId} | Get exercise
*PolarAccesslinkApiGem::ExercisesApi* | [**list_exercises_without_transaction**](docs/ExercisesApi.md#list_exercises_without_transaction) | **GET** /v3/exercises | List exercises
*PolarAccesslinkApiGem::NightlyRechargeApi* | [**list_nightly_recharge**](docs/NightlyRechargeApi.md#list_nightly_recharge) | **GET** /v3/users/nightly-recharge | List Nightly Recharges
*PolarAccesslinkApiGem::NightlyRechargeApi* | [**v3_users_nightly_recharge_date_get**](docs/NightlyRechargeApi.md#v3_users_nightly_recharge_date_get) | **GET** /v3/users/nightly-recharge/{date} | Get Nightly Recharge
*PolarAccesslinkApiGem::PhysicalInfoApi* | [**commit_physical_info_transaction**](docs/PhysicalInfoApi.md#commit_physical_info_transaction) | **PUT** /v3/users/{user-id}/physical-information-transactions/{transaction-id} | Commit transaction
*PolarAccesslinkApiGem::PhysicalInfoApi* | [**create_physical_info_transaction**](docs/PhysicalInfoApi.md#create_physical_info_transaction) | **POST** /v3/users/{user-id}/physical-information-transactions | Create transaction
*PolarAccesslinkApiGem::PhysicalInfoApi* | [**get_physical_info**](docs/PhysicalInfoApi.md#get_physical_info) | **GET** /v3/users/{user-id}/physical-information-transactions/{transaction-id}/physical-informations/{physical-info-id} | Get physical info
*PolarAccesslinkApiGem::PhysicalInfoApi* | [**list_physical_infos**](docs/PhysicalInfoApi.md#list_physical_infos) | **GET** /v3/users/{user-id}/physical-information-transactions/{transaction-id} | List physical infos
*PolarAccesslinkApiGem::PullNotificationsApi* | [**list**](docs/PullNotificationsApi.md#list) | **GET** /v3/notifications | List
*PolarAccesslinkApiGem::SleepApi* | [**list_nights**](docs/SleepApi.md#list_nights) | **GET** /v3/users/sleep | List nights
*PolarAccesslinkApiGem::SleepApi* | [**v3_users_sleep_available_get**](docs/SleepApi.md#v3_users_sleep_available_get) | **GET** /v3/users/sleep/available | Get available sleep times
*PolarAccesslinkApiGem::SleepApi* | [**v3_users_sleep_date_get**](docs/SleepApi.md#v3_users_sleep_date_get) | **GET** /v3/users/sleep/{date} | Get Sleep
*PolarAccesslinkApiGem::TrainingDataApi* | [**commit_exercise_transaction**](docs/TrainingDataApi.md#commit_exercise_transaction) | **PUT** /v3/users/{user-id}/exercise-transactions/{transaction-id} | Commit transaction
*PolarAccesslinkApiGem::TrainingDataApi* | [**create_exercise_transaction**](docs/TrainingDataApi.md#create_exercise_transaction) | **POST** /v3/users/{user-id}/exercise-transactions | Create transaction
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_available_samples**](docs/TrainingDataApi.md#get_available_samples) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id}/samples | Get available samples
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_exercise_summary**](docs/TrainingDataApi.md#get_exercise_summary) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id} | Get exercise summary
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_fit**](docs/TrainingDataApi.md#get_fit) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id}/fit | Get FIT (beta)
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_gpx**](docs/TrainingDataApi.md#get_gpx) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id}/gpx | Get GPX
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_heart_rate_zones**](docs/TrainingDataApi.md#get_heart_rate_zones) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id}/heart-rate-zones | Get heart rate zones
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_samples**](docs/TrainingDataApi.md#get_samples) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id}/samples/{type-id} | Get samples
*PolarAccesslinkApiGem::TrainingDataApi* | [**get_tcx**](docs/TrainingDataApi.md#get_tcx) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id}/exercises/{exercise-id}/tcx | Get TCX
*PolarAccesslinkApiGem::TrainingDataApi* | [**list_exercises**](docs/TrainingDataApi.md#list_exercises) | **GET** /v3/users/{user-id}/exercise-transactions/{transaction-id} | List exercises
*PolarAccesslinkApiGem::UsersApi* | [**delete_user**](docs/UsersApi.md#delete_user) | **DELETE** /v3/users/{user-id} | Delete user
*PolarAccesslinkApiGem::UsersApi* | [**get_user_information**](docs/UsersApi.md#get_user_information) | **GET** /v3/users/{user-id} | Get user information
*PolarAccesslinkApiGem::UsersApi* | [**register_user**](docs/UsersApi.md#register_user) | **POST** /v3/users | Register user
*PolarAccesslinkApiGem::WebhooksApi* | [**create_webhook**](docs/WebhooksApi.md#create_webhook) | **POST** /v3/webhooks | Create webhook
*PolarAccesslinkApiGem::WebhooksApi* | [**delete_webhook**](docs/WebhooksApi.md#delete_webhook) | **DELETE** /v3/webhooks/{webhook-id} | Delete webhook
*PolarAccesslinkApiGem::WebhooksApi* | [**get_webhook**](docs/WebhooksApi.md#get_webhook) | **GET** /v3/webhooks | Get webhook
*PolarAccesslinkApiGem::WebhooksApi* | [**update_webhook**](docs/WebhooksApi.md#update_webhook) | **PATCH** /v3/webhooks/{webhook-id} | Update webhook


## Documentation for Models

 - [PolarAccesslinkApiGem::Activity](docs/Activity.md)
 - [PolarAccesslinkApiGem::ActivityLog](docs/ActivityLog.md)
 - [PolarAccesslinkApiGem::ActivityStepSample](docs/ActivityStepSample.md)
 - [PolarAccesslinkApiGem::ActivityStepSamples](docs/ActivityStepSamples.md)
 - [PolarAccesslinkApiGem::ActivityZoneSample](docs/ActivityZoneSample.md)
 - [PolarAccesslinkApiGem::ActivityZoneSamples](docs/ActivityZoneSamples.md)
 - [PolarAccesslinkApiGem::AvailableSleep](docs/AvailableSleep.md)
 - [PolarAccesslinkApiGem::AvailableSleeps](docs/AvailableSleeps.md)
 - [PolarAccesslinkApiGem::AvailableUserData](docs/AvailableUserData.md)
 - [PolarAccesslinkApiGem::AvailableUserDatas](docs/AvailableUserDatas.md)
 - [PolarAccesslinkApiGem::CreatedWebhook](docs/CreatedWebhook.md)
 - [PolarAccesslinkApiGem::CreatedWebhookData](docs/CreatedWebhookData.md)
 - [PolarAccesslinkApiGem::DurationZone](docs/DurationZone.md)
 - [PolarAccesslinkApiGem::Error](docs/Error.md)
 - [PolarAccesslinkApiGem::Exercise](docs/Exercise.md)
 - [PolarAccesslinkApiGem::ExerciseHashId](docs/ExerciseHashId.md)
 - [PolarAccesslinkApiGem::Exercises](docs/Exercises.md)
 - [PolarAccesslinkApiGem::HeartRate](docs/HeartRate.md)
 - [PolarAccesslinkApiGem::NightlyRecharge](docs/NightlyRecharge.md)
 - [PolarAccesslinkApiGem::Nights](docs/Nights.md)
 - [PolarAccesslinkApiGem::PhysicalInformation](docs/PhysicalInformation.md)
 - [PolarAccesslinkApiGem::PhysicalInformations](docs/PhysicalInformations.md)
 - [PolarAccesslinkApiGem::Recharges](docs/Recharges.md)
 - [PolarAccesslinkApiGem::Register](docs/Register.md)
 - [PolarAccesslinkApiGem::Sample](docs/Sample.md)
 - [PolarAccesslinkApiGem::Samples](docs/Samples.md)
 - [PolarAccesslinkApiGem::Sleep](docs/Sleep.md)
 - [PolarAccesslinkApiGem::TransactionLocation](docs/TransactionLocation.md)
 - [PolarAccesslinkApiGem::User](docs/User.md)
 - [PolarAccesslinkApiGem::UserExtraInfo](docs/UserExtraInfo.md)
 - [PolarAccesslinkApiGem::WebhookInfo](docs/WebhookInfo.md)
 - [PolarAccesslinkApiGem::WebhookInfoData](docs/WebhookInfoData.md)
 - [PolarAccesslinkApiGem::WebhookPatch](docs/WebhookPatch.md)
 - [PolarAccesslinkApiGem::WebhookPayloadExercise](docs/WebhookPayloadExercise.md)
 - [PolarAccesslinkApiGem::WebhookPayloadSleep](docs/WebhookPayloadSleep.md)
 - [PolarAccesslinkApiGem::WebhookPing](docs/WebhookPing.md)
 - [PolarAccesslinkApiGem::WebhookRequest](docs/WebhookRequest.md)
 - [PolarAccesslinkApiGem::WebhookType](docs/WebhookType.md)
 - [PolarAccesslinkApiGem::Zone](docs/Zone.md)
 - [PolarAccesslinkApiGem::Zones](docs/Zones.md)


## Documentation for Authorization


### Basic

- **Type**: HTTP basic authentication

### OAuth2


- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: https://flow.polar.com/oauth2/authorization
- **Scopes**: 
  - accesslink.read_all: Allows read access to user&#39;s data

