# PolarAccesslinkApiGem::ExercisesApi

All URIs are relative to *https://www.polaraccesslink.com*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**get_exercise_fit_without_transaction**](ExercisesApi.md#get_exercise_fit_without_transaction) | **GET** /v3/exercises/{exerciseId}/fit | Get exercise FIT |
| [**get_exercise_without_transaction**](ExercisesApi.md#get_exercise_without_transaction) | **GET** /v3/exercises/{exerciseId} | Get exercise |
| [**list_exercises_without_transaction**](ExercisesApi.md#list_exercises_without_transaction) | **GET** /v3/exercises | List exercises |


## get_exercise_fit_without_transaction

> String get_exercise_fit_without_transaction(exercise_id)

Get exercise FIT

FIT file for users exercise.

### Examples

```ruby
require 'time'
require 'polar-accesslink-api-gem'
# setup authorization
PolarAccesslinkApiGem.configure do |config|
  # Configure OAuth2 access token for authorization: OAuth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = PolarAccesslinkApiGem::ExercisesApi.new
exercise_id = 'exercise_id_example' # String | Hashed exercise id.

begin
  # Get exercise FIT
  result = api_instance.get_exercise_fit_without_transaction(exercise_id)
  p result
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling ExercisesApi->get_exercise_fit_without_transaction: #{e}"
end
```

#### Using the get_exercise_fit_without_transaction_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(String, Integer, Hash)> get_exercise_fit_without_transaction_with_http_info(exercise_id)

```ruby
begin
  # Get exercise FIT
  data, status_code, headers = api_instance.get_exercise_fit_without_transaction_with_http_info(exercise_id)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => String
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling ExercisesApi->get_exercise_fit_without_transaction_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **exercise_id** | **String** | Hashed exercise id. |  |

### Return type

**String**

### Authorization

[OAuth2](../README.md#OAuth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: */*


## get_exercise_without_transaction

> <ExerciseHashId> get_exercise_without_transaction(exercise_id)

Get exercise

Get users exercise using hashed id.

### Examples

```ruby
require 'time'
require 'polar-accesslink-api-gem'
# setup authorization
PolarAccesslinkApiGem.configure do |config|
  # Configure OAuth2 access token for authorization: OAuth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = PolarAccesslinkApiGem::ExercisesApi.new
exercise_id = 'exercise_id_example' # String | Hashed exercise id.

begin
  # Get exercise
  result = api_instance.get_exercise_without_transaction(exercise_id)
  p result
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling ExercisesApi->get_exercise_without_transaction: #{e}"
end
```

#### Using the get_exercise_without_transaction_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<ExerciseHashId>, Integer, Hash)> get_exercise_without_transaction_with_http_info(exercise_id)

```ruby
begin
  # Get exercise
  data, status_code, headers = api_instance.get_exercise_without_transaction_with_http_info(exercise_id)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <ExerciseHashId>
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling ExercisesApi->get_exercise_without_transaction_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **exercise_id** | **String** | Hashed exercise id. |  |

### Return type

[**ExerciseHashId**](ExerciseHashId.md)

### Authorization

[OAuth2](../README.md#OAuth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_exercises_without_transaction

> <Array<ExerciseHashId>> list_exercises_without_transaction

List exercises

List users exercises available in Accesslink.

### Examples

```ruby
require 'time'
require 'polar-accesslink-api-gem'
# setup authorization
PolarAccesslinkApiGem.configure do |config|
  # Configure OAuth2 access token for authorization: OAuth2
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = PolarAccesslinkApiGem::ExercisesApi.new

begin
  # List exercises
  result = api_instance.list_exercises_without_transaction
  p result
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling ExercisesApi->list_exercises_without_transaction: #{e}"
end
```

#### Using the list_exercises_without_transaction_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<Array<ExerciseHashId>>, Integer, Hash)> list_exercises_without_transaction_with_http_info

```ruby
begin
  # List exercises
  data, status_code, headers = api_instance.list_exercises_without_transaction_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <Array<ExerciseHashId>>
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling ExercisesApi->list_exercises_without_transaction_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**Array&lt;ExerciseHashId&gt;**](ExerciseHashId.md)

### Authorization

[OAuth2](../README.md#OAuth2)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

