# PolarAccesslinkApiGem::PullNotificationsApi

All URIs are relative to *https://www.polaraccesslink.com*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**list**](PullNotificationsApi.md#list) | **GET** /v3/notifications | List |


## list

> <AvailableUserDatas> list

List

Get list of available exercises and activities for users

### Examples

```ruby
require 'time'
require 'polar-accesslink-api-gem'
# setup authorization
PolarAccesslinkApiGem.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PolarAccesslinkApiGem::PullNotificationsApi.new

begin
  # List
  result = api_instance.list
  p result
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling PullNotificationsApi->list: #{e}"
end
```

#### Using the list_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<AvailableUserDatas>, Integer, Hash)> list_with_http_info

```ruby
begin
  # List
  data, status_code, headers = api_instance.list_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <AvailableUserDatas>
rescue PolarAccesslinkApiGem::ApiError => e
  puts "Error when calling PullNotificationsApi->list_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**AvailableUserDatas**](AvailableUserDatas.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json, application/xml

